<div class="row">
  <div class="col-sm">
    <div class="card">
      <div class="card-body">
        <div class="row">
          <div class="col-sm">
            <div class="h5 text-center font-weight-bold">Create Company</div>
          </div>
        </div>
        <form>
          <div class="row">
            <div class="col-sm no-padding">
              <button [disabled]="currentStep != 0" class="h6 text-center no-margins no-border-radius btn btn-block"><i
                class="fa fas fa-info-circle"></i> &nbsp; Info
              </button>
            </div>
            <div class="col-sm no-padding">
              <button [disabled]="currentStep != 1"
                      class="h6 text-center no-margins no-border-radius btn btn-block"><i
                class="fa fas fa-location-arrow"></i> &nbsp;Location
              </button>
            </div>
            <div class="col-sm no-padding">
              <button [disabled]="currentStep != 2"
                      class="h6 text-center no-margins no-border-radius btn btn-block"><i
                class="fa fas fa-address-card"></i> &nbsp;Licenses
              </button>
            </div>
          </div>
          <!--Info Block Start-->
          <div *ngIf="currentStep == 0" class="row">
            <div class="col-sm">
              <div class="row">
                <div class="col-sm">
                  <div class="text-center padding-10">
                    <span *ngIf="!imageControl.value" (click)="changeImage()" ngbTooltip="Add Image"
                          class="cursor fa-border fa fa-5x fas fa-image">
                        </span>
                    <img width="110" *ngIf="imageControl.value" (click)="changeImage()" ngbTooltip="Change Image"
                         [src]="imageControl.value" class="cursor img-fluid img-thumbnail" alt="Company Image">
                    <input id="fileToUpload2" class="form-control" required type="file"
                           (change)="onFileAdded($event)" hidden accept="image/*"/>
                    <label class="font-weight-bold">Image *</label>
                  </div>
                </div>
              </div>
              <div class="row">
                <div class="col-sm">
                  <div class="form-group">
                    <label class="font-weight-bold">Name *</label>
                    <input type="text"
                           autocomplete="off"
                           class="form-control"
                           placeholder="e.g Dell"
                           [formControl]="nameControl"
                           required>
                    <app-form-error [control]="nameControl" [fieldName]="'Name'"></app-form-error>
                  </div>
                  <div class="form-group">
                    <label class="font-weight-bold">Phone Number *</label>
                    <input type="text"
                           autocomplete="off"
                           class="form-control"
                           placeholder="e.g +14561234891"
                           [formControl]="phoneControl"
                           required>
                    <app-form-error [control]="phoneControl" [fieldName]="'Phone Number'"></app-form-error>
                  </div>
                </div>
                <div class="col-sm">
                  <div class="form-group">
                    <label class="font-weight-bold">Email *</label>
                    <input type="email"
                           autocomplete="off"
                           class="form-control"
                           placeholder="e.g test@companyemail.com"
                           [formControl]="emailControl"
                           required>
                    <app-form-error [control]="emailControl" [fieldName]="'Email'"></app-form-error>
                  </div>
                  <div class="form-group">
                    <label class="font-weight-bold">Service Type *</label>
                    <select class="form-control" [formControl]="serviceControl">
                      <option value="" disabled>Select a Service Type</option>
                      <option [value]="s.id" *ngFor="let s of serviceTypes">{{s.name}}</option>
                    </select>
                    <app-form-error [control]="serviceControl" [fieldName]="'Service Type'"></app-form-error>
                  </div>
                </div>
              </div>
              <div class="row">
                <div class="col-sm">
                  <button [disabled]="infoFormGroup.invalid" (click)="nextStep()" class="btn btn-primary float-right">
                    Next
                  </button>
                </div>
              </div>
            </div>
          </div>
          <!--Info Block End-->
          <!--Location Block Start-->
          <div *ngIf="currentStep == 1"  class="row">
            <div class="col-sm">
              <div class="row">
                <div class="col-sm">
                  <div class="form-group">
                    <label class="font-weight-bold">Address *</label>
                    <div class="row">
                      <div class="col-sm padding-right-0">
                        <input type="text"
                               autocomplete="off"
                               class="form-control"
                               placeholder="e.g Example Road, Asia"
                               [formControl]="addressControl"
                               required>
                      </div>
                      <div class="col-auto padding-left-0">
                        <button class="btn btn-info no-margins">Map</button>
                      </div>
                    </div>
                    <app-form-error [control]="addressControl" [fieldName]="'Address'"></app-form-error>
                  </div>
                </div>
                <div class="col-sm">
                  <div class="form-group">
                    <label class="font-weight-bold">Country *</label>
                    <select class="form-control" [formControl]="countryControl">
                      <option value="" disabled>Select a Country</option>
                      <option [value]="s.id" *ngFor="let s of countries">{{s.name}}</option>
                    </select>
                    <app-form-error [control]="countryControl" [fieldName]="'Country'"></app-form-error>
                  </div>
                </div>
              </div>
              <div class="row">
                <div class="col-sm">
                  <span class="font-weight-bold h6">Additional Info</span>
                </div>
              </div>
              <div class="row">
                <div class="col-sm">
                  <div class="form-group">
                    <label class="font-weight-bold">Flat</label>
                    <input type="text"
                           autocomplete="off"
                           class="form-control"
                           placeholder="e.g No 7"
                           [formControl]="flatControl"
                    >
                    <app-form-error [control]="flatControl" [fieldName]="'Flat'"></app-form-error>
                  </div>
                  <div class="form-group">
                    <label class="font-weight-bold">Unit</label>
                    <input type="text"
                           autocomplete="off"
                           class="form-control"
                           placeholder="e.g Unit 8"
                           [formControl]="unitControl"
                    >
                    <app-form-error [control]="unitControl" [fieldName]="'Unit'"></app-form-error>
                  </div>
                  <div class="form-group">
                    <label class="font-weight-bold">Floor</label>
                    <input type="text"
                           autocomplete="off"
                           class="form-control"
                           placeholder="e.g 8th Floor"
                           [formControl]="floorControl"
                    >
                    <app-form-error [control]="floorControl" [fieldName]="'Floor'"></app-form-error>
                  </div>
                </div>
                <div class="col-sm">
                  <div class="form-group flex-container-col">
                    <label class="font-weight-bold">Remarks</label>
                    <textarea type="text"
                              style="max-height: none"
                              autocomplete="off"
                              class="form-control flex-take-space"
                              placeholder="e.g Remarks"
                              [formControl]="remarksControl"
                    ></textarea>
                    <app-form-error [control]="remarksControl" [fieldName]="'Remarks'"></app-form-error>
                  </div>
                </div>
              </div>
              <div class="row">
                <div class="col-sm">
                  <button (click)="prevStep()"
                          class="btn btn-primary float-left">
                    Prev
                  </button>
                  <button [disabled]="locationFromGroup.invalid" (click)="nextStep()"
                          class="btn btn-primary float-right">
                    Next
                  </button>
                </div>
              </div>
            </div>
          </div>
          <!--Location Block End-->
          <!--Licenses Block Start-->
          <div *ngIf="currentStep == 2"  class="row">
            <div class="col-sm">
              <div class="row">
                <div class="col-sm">
                  <div class="form-group">
                    <label class="font-weight-bold">No of Licences *</label>
                    <input type="number"
                           autocomplete="off"
                           class="form-control"
                           placeholder="e.g 5"
                           [formControl]="noOfLicenseControl"
                           required>
                    <app-form-error [control]="noOfLicenseControl" [fieldName]="'Licences'"></app-form-error>
                  </div>
                  <div class="form-group">
                    <label class="font-weight-bold">PTT Devices (IMEI No)</label>
                    <div class="row">
                      <div class="col-sm padding-right-0">
                        <input type="text"
                               autocomplete="off"
                               maxlength="15"
                               minlength="15"
                               class="form-control"
                               (keyup.enter)="addImeiNo()"
                               placeholder="e.g 990000862471854"
                               [formControl]="pttDeviceControl"
                        >
                      </div>
                      <div class="col-auto padding-left-0">
                        <button class="btn btn-info no-margins" (click)="addImeiNo()">Add</button>
                      </div>
                    </div>
                    <app-form-error [control]="pttDeviceControl" [isDisplayError]="isShowPttDeviceError"
                                    [fieldName]="'IMEI No'"></app-form-error>
                  </div>
                  <div class="form-group">
                    <label class="font-weight-bold">Start Date *</label>
                    <input type="date"
                           autocomplete="off"
                           class="form-control"
                           placeholder="dd/mm/yyyy"
                           [formControl]="startDateControl"
                           required>
                    <app-form-error [control]="startDateControl" [fieldName]="'Start Date'"></app-form-error>
                  </div>
                  <div class="form-group">
                    <label class="font-weight-bold">End Date *</label>
                    <input type="date"
                           autocomplete="off"
                           class="form-control"
                           placeholder="dd/mm/yyyy"
                           [formControl]="endDateControl"
                           required>
                    <app-form-error [control]="endDateControl" [fieldName]="'End Date'"></app-form-error>
                  </div>
                </div>
                <div class="col-sm">
                  <div class="form-group flex-container-col">
                    <label class="font-weight-bold">PTT Devices</label>
                    <div class="flex-take-space ptt-device-border">
                        <span *ngFor="let d of company.deviceImeiNos" class="badge badge-primary ptt-device-pill">
                          {{d}} <i (click)="removeImeiNo(d)" class="cursor fas fa fa-times"></i>
                        </span>
                    </div>
                  </div>
                </div>
              </div>
              <div class="row">
                <div class="col-sm">
                  <button (click)="prevStep()"
                          class="btn btn-primary float-left">
                    Prev
                  </button>
                  <button [disabled]="licenseFormGroup.invalid && company.deviceImeiNos.length > 0" (click)="create()"
                          class="btn btn-primary float-right">
                    Finish Registration
                  </button>
                </div>
              </div>
            </div>
          </div>
          <!--Licenses Block End-->
        </form>
      </div>
    </div>
  </div>
</div>
